Page 1 of 1

Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 3:58 am
by monkiki
Hi all,

I'm testing Linux Mint 19 and I've found a problem with Shutter: I can't install those packages needed to enable the Edit button:

Code: Select all

$ sudo apt-get install libgoo-canvas-perl libgoocanvas-common libgoocanvas3 libgoocanvas-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libgoo-canvas-perl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libgoo-canvas-perl' has no installation candidate
E: Unable to locate package libgoocanvas-common
E: Unable to locate package libgoocanvas3
E: Unable to locate package libgoocanvas-common
Should I report this problem in another place?

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 4:18 am
by catweazel
monkiki wrote:
Thu Jun 14, 2018 3:58 am
Should I report this problem in another place?
Yes. Mint 19 is unsupported here until it's released. Post your comments on the Mint blog.

Linux Mint 19 "Tara" Cinnamon – BETA Release
Linux Mint 19 "Tara" MATE – BETA Release
Linux Mint 19 "Tara" Xfce – BETA Release

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 4:19 am
by Sir Charles
monkiki wrote:
Thu Jun 14, 2018 3:58 am
I can't install those packages needed to enable the Edit button:
Me too, I noticed the problem after installing Shutter in Ubuntu 18.04. Those packages seem not to be included in Bionic's
repositories (see bug report in launchpad) and consequently absent in Tara. I haven't tried the QuickFix described in the link myself but maybe you will find it worthwhile to give it a consideration.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 7:08 am
by Hoser Rob
Even with new stable, non beta, actually officially supported releases it's common that not all the software you may want is available at first. With unstable beta unsupported releases like Mint 19 it's obviously going to be even worse.

My advice, unless you have seriously bleeding edge hardware and have some kind of hate on for Ubuntu, which does support Ubuntu 18.04, is to install MInt 18.3. Frankly I wish Mint could develop a larger expert user base so they wouldn't encourage using rank beginners to do their beta testing. Beginners using beta OS releases is NUTS.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 8:39 am
by JerryF
Hoser Rob wrote:
Thu Jun 14, 2018 7:08 am
...
My advice, unless you have seriously bleeding edge hardware and have some kind of hate on for Ubuntu, which does support Ubuntu 18.04, is to install MInt 18.3. Frankly I wish Mint could develop a larger expert user base so they wouldn't encourage using rank beginners to do their beta testing. Beginners using beta OS releases is NUTS.
The whole idea is trying to the most diverse users to run the beta so that bugs can be found. But...

If newbies want to install a beta, that's their choice, but shouldn't come running 'home' crying that this, that, and the other isn't working properly.

I'm being blunt because I get frustrated with people not taking responsibility of their own actions.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 9:30 am
by Hoser Rob
JerryF wrote:
Thu Jun 14, 2018 8:39 am
Hoser Rob wrote:
Thu Jun 14, 2018 7:08 am
...
My advice, unless you have seriously bleeding edge hardware and have some kind of hate on for Ubuntu, which does support Ubuntu 18.04, is to install MInt 18.3. Frankly I wish Mint could develop a larger expert user base so they wouldn't encourage using rank beginners to do their beta testing. Beginners using beta OS releases is NUTS.
The whole idea is trying to the most diverse users to run the beta so that bugs can be found. But...

If newbies want to install a beta, that's their choice, but shouldn't come running 'home' crying that this, that, and the other isn't working properly.

I'm being blunt because I get frustrated with people not taking responsibility of their own actions.
I was blunt because Linux newbies don't generally understand the implications of installing a beta release, and I stand by my comments.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 11:07 am
by JerryF
Hoser Rob wrote:
Thu Jun 14, 2018 9:30 am
JerryF wrote:
Thu Jun 14, 2018 8:39 am
Hoser Rob wrote:
Thu Jun 14, 2018 7:08 am
...
My advice, unless you have seriously bleeding edge hardware and have some kind of hate on for Ubuntu, which does support Ubuntu 18.04, is to install MInt 18.3. Frankly I wish Mint could develop a larger expert user base so they wouldn't encourage using rank beginners to do their beta testing. Beginners using beta OS releases is NUTS.
The whole idea is trying to the most diverse users to run the beta so that bugs can be found. But...

If newbies want to install a beta, that's their choice, but shouldn't come running 'home' crying that this, that, and the other isn't working properly.

I'm being blunt because I get frustrated with people not taking responsibility of their own actions.
I was blunt because Linux newbies don't generally understand the implications of installing a beta release, and I stand by my comments.
My comment about being blunt wasn't anything towards your post. I agree with you. Beta releases aren't for the faint of heart.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Thu Jun 14, 2018 11:21 am
by smgordon1259
That's Odd, I installed shutter and it is fully functional, edit button is accessible.

have you tried uninstalling then reinstalling ?

did you install Shutter through the Software manager?

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 12:40 am
by monkiki
Marziano wrote:
Thu Jun 14, 2018 4:19 am
Me too, I noticed the problem after installing Shutter in Ubuntu 18.04. Those packages seem not to be included in Bionic's
repositories (see bug report in launchpad) and consequently absent in Tara. I haven't tried the QuickFix described in the link myself but maybe you will find it worthwhile to give it a consideration.
Thanks for pointing to the solution :)

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 12:45 am
by Sir Charles
You are welcome! I'm glad I could help.
Cheers

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 12:54 am
by monkiki
JerryF wrote:
Thu Jun 14, 2018 8:39 am
Hoser Rob wrote:
Thu Jun 14, 2018 7:08 am
...
My advice, unless you have seriously bleeding edge hardware and have some kind of hate on for Ubuntu, which does support Ubuntu 18.04, is to install MInt 18.3. Frankly I wish Mint could develop a larger expert user base so they wouldn't encourage using rank beginners to do their beta testing. Beginners using beta OS releases is NUTS.
The whole idea is trying to the most diverse users to run the beta so that bugs can be found. But...

If newbies want to install a beta, that's their choice, but shouldn't come running 'home' crying that this, that, and the other isn't working properly.

I'm being blunt because I get frustrated with people not taking responsibility of their own actions.
Sorry but if you think I came crying you're absolutely lost. I started using Linux in 1995 with Slackware, when you needed to compile the kernel just to get the sound card working. So don't try to explain me what a beta is. I know this is a beta and decided to install. It's pretty stable, even to be used daily at work. I just found a issue and wanted to report it. I can't understan why it should be a problem.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 8:12 am
by JerryF
monkiki wrote:
Fri Jun 15, 2018 12:54 am
Sorry but if you think I came crying you're absolutely lost. I started using Linux in 1995 with Slackware, when you needed to compile the kernel just to get the sound card working. So don't try to explain me what a beta is. I know this is a beta and decided to install. It's pretty stable, even to be used daily at work. I just found a issue and wanted to report it. I can't understan why it should be a problem.
Not a problem. Issues for beta releases should be reported in the Comments section at Mint blog LinuxMint.com

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 8:15 am
by Moem
monkiki wrote:
Fri Jun 15, 2018 12:54 am
I just found a issue and wanted to report it. I can't understan why it should be a problem.
You're missing the point: you can't report beta bugs in this forum, it's the wrong place. And you can't expect support for beta issues here, either. So it was redundant to post your issue on the forum. That's all.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 8:30 am
by monkiki
Well, I was not aware of it.

Giving support using a blog is not very common. In my opinion, posting these issues in the forum would ease the feedback and collaboration. Or even better, using a ticket system like osTicket, Mantis or Jira. Or just GitHub :)

Best regards.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 8:43 am
by Moem
monkiki wrote:
Fri Jun 15, 2018 8:30 am
Giving support using a blog is not very common.
You were giving feedback, right? Not asking for support, as I understood it.

Re: Shutter have dependencies problem in Linux Mint 19

Posted: Fri Jun 15, 2018 9:22 am
by Ozo
If Clem did not want this dialog he would have locked the thread from the get go. This kind of thing happens every time one of these type announcements is left open.